﻿using System;
using CastleOS_API;

namespace CastleOS_WCF_API_Example
{
    class Program
    {
        static void Main(string[] args)
        {
            string castleOSUsername = "";
            string castleOSToken = "";

            CastleOSUser authenticatedUser = CastleOS_WCF_API.AuthenticateUser_PlainText("admin", "password1234");

            if (authenticatedUser != null)
            {
                // user is authenticated move forward by saving the
                // username and token for use with the web service
                castleOSUsername = authenticatedUser.username;
                castleOSToken = authenticatedUser.securityToken;

                CastleOS_WCF_API.CastleOSUsername = castleOSUsername;
                CastleOS_WCF_API.CastleOSToken = castleOSToken;

                Console.WriteLine(CastleOS_WCF_API.GetGroupName("0"));

                // waits for you to hit enter before closing
                Console.ReadLine();
            }
            else
            {
                // user authentication failed, please try again
            }
        }
    }
}
